#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 4

Name: qyoto
Summary: C# Mono Qt 4 bindings
Version: 4.14.3
Release: %mkrel %{rel}
Epoch: 1
Group: Development/KDE and Qt
License: GPLv2 and LGPLv2
URL: https://projects.kde.org/projects/kde/kdebindings/csharp/qyoto
Source: http://download.kde.org/stable/%version/src/%name-%version.tar.xz
Patch0: qyoto-qdbus-non-generic.patch

BuildRequires: smokegen-devel >= 1:%version
BuildRequires: smokeqt-devel >= 1:%version
BuildRequires: pkgconfig(mono)
BuildRequires: pkgconfig(phonon)
BuildRequires: pkgconfig(qimageblitz)
BuildRequires: qscintilla-qt4-devel
BuildRequires: cmake

Provides: mono-qt4 = %epoch:%version-%release

%description
.NET/Mono bindings for the Qt libraries.

%files
%_prefix/lib/mono/qyoto/qt-dotnet.dll
%_prefix/lib/mono/qyoto/qscintilla.dll
%_prefix/lib/mono/qyoto/qtscript.dll
%_prefix/lib/mono/qyoto/qtuitools.dll
%_prefix/lib/mono/qyoto/qtwebkit.dll
%_prefix/lib/mono/qyoto/qttest.dll
%_prefix/lib/mono/qyoto/phonon.dll
%_prefix/lib/mono/gac/qttest
%_prefix/lib/mono/gac/qt-dotnet
%_prefix/lib/mono/gac/qscintilla
%_prefix/lib/mono/gac/qtscript
%_prefix/lib/mono/gac/qtwebkit
%_prefix/lib/mono/gac/qtuitools
%_prefix/lib/mono/gac/phonon
%_libdir/libqscintilla-sharp.so
%_libdir/libqtscript-sharp.so
%_libdir/libqtuitools-sharp.so
%_libdir/libqtwebkit-sharp.so
%_libdir/libqttest-sharp.so
%_libdir/libphonon-sharp.so

#------------------------------------------------------------------------------

%define libqyoto_major 2
%define libqyoto %mklibname qyoto %{libqyoto_major}

%package -n %{libqyoto}
Summary: Runtime library for Qt NET/Mono bindings 
Group: Development/KDE and Qt

%description -n %{libqyoto}
.NET/Mono bindings for the Qt libraries.

This package provides the runtime library.

%files -n %{libqyoto}
%_libdir/libqyoto.so.%{libqyoto_major}*

#------------------------------------------------------------------------------

%package -n qyoto-devel
Summary: Header files for qyoto
Group: Development/KDE and Qt
Provides: mono-qt4-devel = %epoch:%version-%release
Requires: qyoto = %epoch:%version-%release
Requires: %{libqyoto} = %epoch:%version-%release
Conflicts: qyoto < 1:4.4.95

%description -n qyoto-devel
.NET/Mono bindings for the Qt libraries.

This package provides the headers files needed to build a package against
%{name}.

%files -n qyoto-devel
%_bindir/csrcc
%_bindir/uics
%_includedir/qyoto
%_libdir/libqyoto.so
%_libdir/pkgconfig/qyoto.pc
%_libdir/pkgconfig/qtscript-sharp.pc
%_libdir/pkgconfig/qttest-sharp.pc
%_libdir/pkgconfig/qtuitools-sharp.pc
%_libdir/pkgconfig/qtwebkit-sharp.pc
%_datadir/qyoto/cmake/*
%_datadir/qyoto/key.snk

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1
sed -i "s#gmcs#mcs#g" cmake/FindMono.cmake

%build
export LD=/usr/bin/ld.gold
%cmake_qt4
%make

%install
%makeinstall_std -C build


%changelog
* Tue Feb 16 2016 umeabot <umeabot> 1:4.14.3-4.mga6
+ Revision: 962696
- Mageia 6 Mass Rebuild

* Mon Dec 28 2015 tv <tv> 1:4.14.3-3.mga6
+ Revision: 916249
- mono4 fixes

* Tue Feb 24 2015 matteo <matteo> 1:4.14.3-2.mga5
+ Revision: 816799
- fixed breakage due by mono 3.12.0 (dllimport attribute not applicable to a generic method or contained in a generic type)

* Wed Dec 03 2014 lmenut <lmenut> 1:4.14.3-1.mga5
+ Revision: 800687
- Update to KDE SC 4.14.3

* Sat Oct 18 2014 lmenut <lmenut> 1:4.14.2-1.mga5
+ Revision: 787785
- Update to KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 1:4.14.1-2.mga5
+ Revision: 746323
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 1:4.14.1-1.mga5
+ Revision: 734639
- Update to KDE SC 4.14.1

* Tue Sep 16 2014 umeabot <umeabot> 1:4.14.0-2.mga5
+ Revision: 688594
- Mageia 5 Mass Rebuild

* Mon Aug 25 2014 lmenut <lmenut> 1:4.14.0-1.mga5
+ Revision: 667573
- Update to KDE SC 4.14.0
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 1:4.13.97-1.mga5
+ Revision: 663085
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC

* Sat Jul 26 2014 lmenut <lmenut> 1:4.13.95-1.mga5
+ Revision: 656763
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 1:4.13.90-1.mga5
+ Revision: 653948
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2

* Mon Jul 14 2014 lmenut <lmenut> 1:4.13.80-1.mga5
+ Revision: 652059
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1

* Sun Jun 15 2014 lmenut <lmenut> 1:4.13.2-1.mga5
+ Revision: 636822
- Update to KDE SC 4.13.2

* Sat May 24 2014 lmenut <lmenut> 1:4.13.1-1.mga5
+ Revision: 625589
- Update to KDE SC 4.13.1

* Thu Apr 17 2014 lmenut <lmenut> 1:4.13.0-1.mga5
+ Revision: 615670
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 1:4.12.97-1.mga5
+ Revision: 609482
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 1:4.12.95-1.mga5
+ Revision: 606923
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

* Fri Mar 14 2014 neoclust <neoclust> 1:4.12.90-1.mga5
+ Revision: 603430
- New version 4.12.80

* Fri Mar 07 2014 neoclust <neoclust> 1:4.12.80-1.mga5
+ Revision: 600759
- New version 4.12.80
- New version 4.12.3
- New version 4.12.3

* Thu Feb 13 2014 neoclust <neoclust> 1:4.12.2-1.mga5
+ Revision: 590550
- New version 4.12.2

* Tue Feb 04 2014 neoclust <neoclust> 1:4.11.5-1.mga5
+ Revision: 580887
- Update tarball to KDE SC 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 1:4.11.4-1.mga4
+ Revision: 555081
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 1:4.11.3-1.mga4
+ Revision: 551352
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 1:4.11.2-2.mga4
+ Revision: 539828
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 1:4.11.2-1.mga4
+ Revision: 490805
- Update tarball to KDE SC 4.11.2

* Mon Sep 09 2013 mikala <mikala> 1:4.11.1-1.mga4
+ Revision: 476892
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 1:4.11.0-1.mga4
+ Revision: 465298
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 1:4.10.97-1.mga4
+ Revision: 458999
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 1:4.10.95-1.mga4
+ Revision: 455384
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 1:4.10.90-1.mga4
+ Revision: 448006
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1

* Sun Jun 02 2013 mikala <mikala> 1:4.10.4-1.mga4
+ Revision: 435381
- Update tarball to KDE SC 4.10.4

* Mon May 27 2013 mikala <mikala> 1:4.10.3-1.mga4
+ Revision: 428486
- Update tarball to KDE SC 4.10.3

* Tue Apr 02 2013 mikala <mikala> 1:4.10.2-1.mga3
+ Revision: 407296
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 1:4.10.1-1.mga3
+ Revision: 401954
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 1:4.10.0-1.mga3
+ Revision: 394459
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sun Jan 13 2013 umeabot <umeabot> 1:4.9.97-2.mga3
+ Revision: 380148
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 1:4.9.97-1.mga3
+ Revision: 339570
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 1:4.9.95-1.mga3
+ Revision: 334621
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 1:4.9.90-1.mga3
+ Revision: 326822
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 1:4.9.80-1.mga3
+ Revision: 320340
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1
- Drop patch100 (merged upstream)

* Wed Nov 07 2012 mikala <mikala> 1:4.9.3-1.mga3
+ Revision: 316240
- Update tarball to KDE SC 4.9.3
- Add patch100 from fedora to fix build with cmake 2.8.10 (kde #309652)

* Wed Nov 07 2012 fwang <fwang> 1:4.9.2-2.mga3
+ Revision: 315473
- add patch from kdebug#309652 to have it built with latest cmake

* Tue Oct 02 2012 mikala <mikala> 1:4.9.2-1.mga3
+ Revision: 301912
- Update tarball to KDE SC 4.9.2

* Sat Sep 08 2012 mikala <mikala> 1:4.9.1-1.mga3
+ Revision: 289683
- Update tarball to KDE SC 4.9.1

* Tue Jul 31 2012 mikala <mikala> 1:4.9.0-1.mga3
+ Revision: 276635
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 1:4.8.97-1.mga3
+ Revision: 269726
- new version 4.8.97

* Sat Jun 30 2012 fwang <fwang> 1:4.8.95-1.mga3
+ Revision: 265488
- new version 4.8.95

* Fri Jun 08 2012 fwang <fwang> 1:4.8.4-1.mga3
+ Revision: 257198
- new version 4.8.4

* Wed Apr 04 2012 fwang <fwang> 1:4.8.2-1.mga2
+ Revision: 228458
- new version 4.8.2

* Wed Mar 07 2012 fwang <fwang> 1:4.8.1-1.mga2
+ Revision: 220873
- new version 4.8.1

* Thu Jan 19 2012 mikala <mikala> 1:4.8.0-1.mga2
+ Revision: 198146
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 1:4.7.97-0.mga2
+ Revision: 190891
- Update tarball to KDE SC 4.7.97

* Thu Dec 22 2011 mikala <mikala> 1:4.7.95-1.mga2
+ Revision: 186175
- Update tarball to KDE SC 4.7.95

* Thu Dec 15 2011 mikala <mikala> 1:4.7.90-1.mga2
+ Revision: 182226
- Update tarball to KDE SC 4.7.90
- Drop patch1 merged upstream
- fix macros usages

* Sun Dec 04 2011 mikala <mikala> 1:4.7.4-1.mga2
+ Revision: 176576
- Update tarball to KDE SC 4.7.4
- Remove redundant BuildRequires

* Wed Nov 02 2011 mikala <mikala> 1:4.7.3-1.mga2
+ Revision: 161432
- Update tarball to KDE SC 4.7.3

* Wed Oct 05 2011 mikala <mikala> 1:4.7.2-1.mga2
+ Revision: 151992
- Update tarball to KDE SC 4.7.2

* Wed Sep 07 2011 mikala <mikala> 1:4.7.1-1.mga2
+ Revision: 140682
- Update tarball to KDE SC 4.7.1
- Update tarball to KDE SC 4.7.0
- update url
- remove old obsoletes
- use pkgconfig() for buildrequires
- remove %%defattr
- update description

* Tue Jul 12 2011 mikala <mikala> 1:4.6.95-0.mga2
+ Revision: 122658
- Update tarball to KDE 4.6.95 (KDE SC 4.7 RC2)

* Fri Jul 08 2011 fwang <fwang> 1:4.6.90-2.mga2
+ Revision: 120346
- br qimageblitz-devel

* Fri Jul 01 2011 fwang <fwang> 1:4.6.90-1.mga2
+ Revision: 117122
- apply patch
- add upstream patch to fix build
- br smokeqt4
- imported package qyoto

